clang-tools 10.0.0

Classes | Namespaces | Typedefs | Enumerations | Functions
FuzzyMatch.h File Reference
`#include "llvm/ADT/ArrayRef.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/raw_ostream.h"`
Include dependency graph for FuzzyMatch.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::clangd::FuzzyMatcher

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Typedefs
using | clang::clangd::CharTypeSet = unsigned char

## Enumerations
enum | clang::clangd::CharType : unsigned char { clang::clangd::Empty = 0, clang::clangd::Lower = 1, clang::clangd::Upper = 2, clang::clangd::Punctuation = 3 }
enum | clang::clangd::CharRole : unsigned char { clang::clangd::Unknown = 0, clang::clangd::Tail = 1, clang::clangd::Head = 2, clang::clangd::Separator = 3 }

## Functions
CharTypeSet | clang::clangd::calculateRoles (llvm::StringRef Text, llvm::MutableArrayRef< CharRole > Roles)